<?php
class Easy_Session_Db{
	public function __construct(){
		//$this->init();
	}
	public function start(){
		session_module_name('user');
		ini_set('session.use_trans_sid',0);
		ini_set('session.use_cookies',1);
		ini_set('session.name','showin_');
		session_set_save_handler
		(
			array($this, "open"),
			array($this, "close"),
			array($this, "read"),
			array($this, "write"),
			array($this, "destroy"),
			array($this, "gc")
		);
		session_cache_expire(360);
		session_start();
	}
	public function open(){
		return true;
	}
	public function close(){
		return true;
	}
	public function read($sid){
	}
	public function write($sid, $data){
	}
	function destroy(){
	}
	function __destruct()
    {
        session_write_close();
    }
	public function gc(){
	}
}